Name:          ocaml-topkg
Version:       1.0.2
Release:       1mamba
Summary:       The transitory OCaml software packager
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://erratique.ch/software/topkg
## GITSOURCE https://github.com/dbuenzli/topkg.git v1.0.0
Source:        https://github.com/dbuenzli/topkg.git/v%{version}/topkg-%{version}.tar.bz2
License:       ISC License
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.09.0-4mamba
BuildRequires: opam
BuildRequires: ocaml-result >= 1.4-2mamba
Requires:      ocaml-result
Requires:      ocaml
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The transitory OCaml software packager.

%prep
%setup -q -n topkg-%{version}

%build
pkg/pkg.ml build --pkg-name topkg

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
opam-installer \
  --prefix=%{buildroot}%{_prefix} \
  --libdir=%{buildroot}$(ocamlc -where) \
  --docdir=%{buildroot}%{_docdir}

install -dm755 %{buildroot}%{_datadir}/licenses/ocaml-topkg
mv %{buildroot}%{_docdir}/topkg/LICENSE.md %{buildroot}%{_datadir}/licenses/ocaml-topkg/LICENSE.md

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/topkg
%{_libdir}/ocaml/topkg/*
%dir %{_datadir}/doc/topkg
%{_datadir}/doc/topkg/*
%{_datadir}/licenses/ocaml-topkg/LICENSE.md

%changelog
* Fri Jul 31 2020 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Dec 30 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- rebuilt with ocaml-result 1.4-2mamba

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sun May 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
